"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isEnableUnifiedAdminUrlWithGeoSpecificTenantNameFlightEnabled = exports.isIncreaseNumOfMSALAuthRedirectsFlightEnabled = exports.isTeamsRichClientAuthFlightEnabled = void 0;
var sp_core_library_1 = require("@microsoft/sp-core-library");
/**
 * Determine if we use OBO token exchange for the Teams rich clients.
 *
 * @internal
 */
function isTeamsRichClientAuthFlightEnabled() {
    return sp_core_library_1._SPFlight.isEnabled(60163 /* SPPPLATTeamsRichClientAuth */);
}
exports.isTeamsRichClientAuthFlightEnabled = isTeamsRichClientAuthFlightEnabled;
function isIncreaseNumOfMSALAuthRedirectsFlightEnabled() {
    return sp_core_library_1._SPFlight.isEnabled(60444 /* SPPPLATIncreaseNumberOfMSALAuthRedirects */);
}
exports.isIncreaseNumOfMSALAuthRedirectsFlightEnabled = isIncreaseNumOfMSALAuthRedirectsFlightEnabled;
/**
 * Flight to enable unified url with geo specific tenant name.
 * Create time: 2022-11-11
 * Flight link: https://spoflights.azurewebsites.net/Flight/Edit/EnableUnifiedAdminUrlWithGeoSpecificTenantName
 * Owner: kumaras
 */
function isEnableUnifiedAdminUrlWithGeoSpecificTenantNameFlightEnabled() {
    return sp_core_library_1._SPFlight.isEnabled(1737 /* EnableUnifiedAdminUrlWithGeoSpecificTenantName */);
}
exports.isEnableUnifiedAdminUrlWithGeoSpecificTenantNameFlightEnabled = isEnableUnifiedAdminUrlWithGeoSpecificTenantNameFlightEnabled;
//# sourceMappingURL=Flights.js.map